#!/bin/sh
# Usage: uninstall_J6CF.sh <path_to_JRE> 
#
# Example:
#   uninstall_J6CF.sh /usr/java/default
# 

if [ -z "$1" ]; then
	printf "USAGE: uninstall_J6CF.sh path_to_JRE\n"
  
    osascript -e "tell app \"System Events\" to display dialog \"Используйте команду вида: uninstall_J6CF.sh путь_до_JRE\" buttons \"OK\" default button 1 with title \"Ошибка удаления\" with icon caution"
  
  exit 1
fi

JREDIR=$1
JAVACMD="$JREDIR/bin/java"
[ -x "$JAVACMD" ] || {
	printf "File not found: $JAVACMD\n"
  
    osascript -e "tell app \"System Events\" to display dialog \"Не найден файл $JAVACMD\" buttons \"OK\" default button 1 with title \"Ошибка удаления\" with icon caution"
    
  exit 1
}

"$JAVACMD" -version 

"$JAVACMD" -cp JaCartaJ6CF.jar ru.aladdin.jacarta.cryptopro.jcp.j6cf.Install -uninstall

rm -f "/Library/Java/Extensions/libAPDUStubJ6CF.dylib"
if [ -r "/Library/Java/Extensions/libAPDUStubJ6CF.dylib" ]; then
	printf "This file is locked:\n"
    printf "/Library/Java/Extensions/libAPDUStubJ6CF.dylib\n"
	printf "Stop all processes that use this files and retry\n"
	exit 1
fi

printf "Successful\n"